<div class="container-fluid p-p-5">
  <div style="float: right;">
    <div class="form-group" [ngStyle]="{marginRight: hasRWPermission ? '20px' :'50px' }" style="float: left;">
      <div class="p-buttonset d-flex justify-content-center">
        <button pButton icon="fa fa-chevron-left" (click)="previousYearClick()" [disabled]="selectedYear.getFullYear() == 2019"></button>
        <button pButton
          [disabled]="!canTransferVacation"
          style="opacity: 1; width: 140px"
          (click)="showDialog()"
          [ngClass]="{'year-button-disabled': !canTransferVacation}"
          [label]="selectedYear.getFullYear().toString()"></button>
        <button pButton icon="fa fa-chevron-right" (click)="nextYearClick()" [disabled]="selectedYear.getFullYear() === currentYear"></button>
      </div>
    </div>

    <ng-container *ngIf="hasRWPermission;else elseUserDropDownTemplate">
      <div class="d-flex gap-2">
        <p-checkbox
        value="Show Inactive"
        inputId="showInactive"
        [(ngModel)]="showInactiveUsers"
        [binary]="true"
        (onChange)="onShowInactiveChange()"
        ></p-checkbox>
        <label for="showInactive" class="mt-2 ml-1">Show Inactive</label>
      </div>
      <app-filter-dropdown
      *ngIf="canReadVacation()"
      [style]="{ 'width': '350px' }"
      [options]="userDropdownItems"
      [selectedItem]="selectedUserDropdownItem"
      (selectedItemChange)="selectedUserChanged($event)">
      </app-filter-dropdown>
    </ng-container>
    <ng-template #elseUserDropDownTemplate>
      <app-filter-dropdown
        #dropDown
        *ngIf="canReadVacation()"
        [style]="{ 'width': '350px' }"
        [options]="userDropdownItems"
        [selectedItem]="selectedUserDropdownItem"
        (selectedItemChange)="selectedUserChanged($event)"
      ></app-filter-dropdown>
    </ng-template>
  </div>

  <app-vacation
    [currentVacationBalance]="vacationInformation.currentVacationBalance"
    [expectedEoyVacationBalance]="vacationInformation.expectedEoyVacationBalance"
    [extraDaysOff]="vacationInformation.extraDaysOff"
    [compensatedVacationLeftovers]="compensatedVacationLeftovers"
    [yearData]="vacationInformation?.yearData"
    [employmentDate]="employmentDate"
    [isTMEmployee]="isTMEmployee"
    [terminationDate]="terminationDate"
    [firstReportedDate]="vacationInformation.firstReportedDate"
    [standingYears]="vacationInformation.standingYears"
    [minimumAllowedBalance]="vacationInformation.minimumAllowedBalance"
    [transferredBalance]="vacationInformation.transferredBalance"
    [reportedReserveDays]="vacationInformation.reportedReserveDays"
    [reportedReserveDaysForLastSixMonths]="vacationInformation.reportedReserveDaysForLastSixMonths"
    [customDayOffs]="(customDayOffs$ | async)"
    [allCustomDayOffs]="(allCustomDayOffs$ | async)"
    [year]="selectedYear.getFullYear()"
    [selectedUserId]="selectedUserDropdownItem"
    (onUpdateEmploymentDate)="updateInformation($event)"
  ></app-vacation>
  <hr/>
  <app-sick-leave
    [providedSickLeaveDaysWithoutCertificate]="sickLeaveInformation.providedSickLeaveDaysWithoutCertificate"
    [providedSickLeaveDaysWithCertificate]="sickLeaveInformation.providedSickLeaveDaysWithCertificate"
    [providedSickLeaveDaysToBeCompensated100]="sickLeaveInformation.providedSickLeaveDaysToBeCompensated100"
    [providedSickLeaveDaysToBeCompensated75]="sickLeaveInformation.providedSickLeaveDaysToBeCompensated75"
    [withoutCertificate]="sickLeaveWithoutCertificate"
    [withCertificate]="sickLeavewithCertificate"
    [year]="selectedYear.getFullYear()"
  ></app-sick-leave>

  <p-dialog [(visible)]="dialogVisible" [responsive]="true" [resizable]="false" showEffect="fade" [modal]="true"  [style]="{ 'width': '530px' }">
    <div class="form-group form-row" *ngIf="canTransferVacation">
      <div class="offset-1 col-10">
        <p-fieldset>
          <p-header>
            Vacation transfer
          </p-header>
          <div class="form-group form-row">
            <div class="col-3 text-right col-form-label">
              To year
            </div>
            <div class="col-6">
              <p-dropdown [ngModel]="selectedYear.getFullYear()" [options]="years"  [style]="{ 'width': '100%' }" appendTo="body"></p-dropdown>
            </div>
            <div class="col-3">
              <button pButton label="Transfer" (click)="transferVacation(selectedYear)"></button>
            </div>
          </div>
        </p-fieldset>
      </div>
    </div>
  </p-dialog>

</div>
